
#ifdef GL_ES
precision highp float;
#endif

// Vertex inputs
attribute vec4 inPosition;  
attribute vec4 inColor;
attribute vec4 inTexCoord;

// projection matrix
uniform mat4 modelViewProjectionMatrix;

// Vertex outputs
varying vec4 varColor;
varying vec4 varTexCoord;

void main (void) 
{
//	gl_Position	= modelViewProjectionMatrix * inPosition;
    gl_Position = inPosition;
//    gl_Position.x = inPosition.x * inPosition.z;
//    gl_Position.y = inPosition.y * inPosition.z;
    gl_Position.z = 1.0/inPosition.z;
    gl_Position.w = 1.0;//inPosition.z;
    varColor = inColor;
    varTexCoord.x = inTexCoord.x;
    varTexCoord.y = 1.0-inTexCoord.y;
    varTexCoord.z = inTexCoord.z;
    varTexCoord.w = 1.0-inTexCoord.w;
}
