
#ifdef GL_ES
precision highp float;
#endif

// Vertex inputs
attribute vec4 inPosition;  
attribute vec4 inColor;
attribute vec4 inNormal;
attribute vec2 inTexCoord;

// projection matrix
uniform mat4 modelViewProjectionMatrix;

// vertex outputs
varying vec4 varColor;
varying vec4 varFog;
varying vec2 varTexCoord;

void main (void) 
{
//	gl_Position	= modelViewProjectionMatrix * inPosition;
    gl_Position = inPosition;
//    gl_Position.z = 1.0/inPosition.z;
//    gl_Position.w = inPosition.z;
//    gl_Position.w = 1.0;
    varColor = inColor;
    varFog = inFog;
    varTexCoord.x = inTexCoord.x;
    varTexCoord.y = 1.0-inTexCoord.y;
} 
