
#ifdef GL_ES
precision highp float;
#endif

varying lowp vec4 varColor;
varying vec4 varTexCoord;

uniform sampler2D diffuseTexture;
uniform sampler2D envTexture;

void main (void)
{
    vec4 diffuse = texture2D(diffuseTexture, varTexCoord.st, 0.0);
    vec4 env = texture2D(envTexture, varTexCoord.zw, 0.0);
    gl_FragColor =  (varColor * diffuse);//+env;
//    gl_FragColor =  (varColor * env);
//    gl_FragColor =  varColor;
//    gl_FragColor =  diffuse;
//    gl_FragColor =  env;
}
 